### Method

# Fwupd Client get_results

#### Declaration [src]

    FwupdDevice*
    fwupd_client_get_results (
      FwupdClient* self,
      const gchar* device_id,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Gets the results of a previous firmware update for a specific device.

Available since: | 0.7.0

#### Parameters

`device_id` | `const gchar*`
| The device ID.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`cancellable` | `GCancellable`
| Optional `GCancellable`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `FwupdDevice`
| A device, or `NULL` for failure.
| The caller of the method takes ownership of the data, and is responsible for freeing it.